package djmil.cordacheckers.gamestate;

import net.corda.v5.application.marshalling.JsonMarshallingService;
import net.corda.v5.crypto.SecureHash;

public class FlowResponce {
    public final View successStatus;
    public final SecureHash transactionId;
    public final String failureStatus;

    public FlowResponce(View success, SecureHash transactionId) {
        this.successStatus = success;
        this.transactionId = transactionId;
        this.failureStatus = null;
    }

    public FlowResponce(Exception exception, SecureHash transactionId) {
        this.successStatus = null;
        this.transactionId = transactionId;
        this.failureStatus = exception.toString();
    }

    public FlowResponce(String exceptionMessage, SecureHash transactionId) {
        this.successStatus = null;
        this.transactionId = transactionId;
        this.failureStatus = exceptionMessage;
    }

    public String toJsonEncodedString(JsonMarshallingService jsonMarshallingService) {
        return jsonMarshallingService.format(this);
    }
    
}